#ifndef APISM_CLIENT_FOR_UPDATE_H_INCLUDED
#define APISM_CLIENT_FOR_UPDATE_H_INCLUDED

#include "ApismClient.h"

class ApismClientForUpdate : public ApismClient {
public:
    explicit ApismClientForUpdate(QObject *parent = 0);
    virtual ~ApismClientForUpdate();

public slots:
    void sendCmdEvent(ISMAS::EventData);

private slots:
    virtual void onReceivedResponse(QByteArray response) override;
    virtual void onSendClientResponseTimeout() override;
    virtual void onRequestResponseClientResponseTimeout() override;
    virtual void onRequestResponseClientConnectTimeout() override;
    virtual void onRequestResponseClientConnectionClosedByRemoteHost() override;

};

#endif // APISM_CLIENT_FOR_UPDATE_H_INCLUDED

